# Copyright 1999-2003 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License, v2 or later
# Maintainer: Martin Holzer <mholzer@gentoo.org>
# $Header: /var/cvsroot/gentoo-x86/net-misc/iperf/iperf-1.6.3.ebuild,v 1.2 2003/02/13 14:54:11 vapier Exp $

# This ebuild was generated by Ebuilder v0.4.

S="${WORKDIR}/${P}"
DESCRIPTION="Iperf is a tool to measure IP bandwidth using UDP or TCP. It allows for tuning various parameters, and reports bandwidth, delay jitter, and packet loss. It supports IPv6 and multicast."
SRC_URI="http://dast.nlanr.net/Projects/Iperf/${P}-source.tar.gz"
HOMEPAGE="http://dast.nlanr.net/Projects/Iperf"
DEPEND=""

SLOT="0"
LICENSE="GPL-2"
KEYWORDS="~x86"

src_unpack() {
	unpack "${P}-source.tar.gz"
	cd "${S}"
	patch -p0 < ${FILESDIR}/${P}-Makefile-gentoo.diff
}

src_compile() {
	# emake (previously known as pmake) is a script that calls the
	# standard GNU make with parallel building options for speedier
	# builds (especially on SMP systems). Try emake first. It might
	# not work for some packages, in which case you'll have to resort
	# to normal "make".
        cd cfg
	econf || die
	cd ..
	emake || die
}

src_install () {
	#make DESTDIR=${D} install || die
	make INSTALL_DIR=${D}/usr install || die
	# If the above installs anything outside of DESTDIR, try the following.
	#make \
	#	prefix=${D}/usr \
	#	mandir=${D}/usr/share/man \
	#	infodir=${D}/usr/share/info \
	#	install || die
	#(cd src  ; make install)
        #(cd jsrc ; make install)

	# Install documentation.
	dodoc INSTALL README VERSION
}

